=== debian/changelog ===
pentobi (25.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 25.2
  * Update BD (Closes: #1088893)
  * Bump to SV 4.7.0

 -- Patrice Duroux <patrice.duroux@gmail.com>  Wed, 01 Jan 2025 13:06:08 +0100
