## pentobi 26.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.19)
 
 project(pentobi CXX)
-set(PENTOBI_VERSION 25.2)
+set(PENTOBI_VERSION 26.3)
 
 include(GNUInstallDirs)
 
@@ -49,11 +49,10 @@
 endif()
 if(PENTOBI_BUILD_GUI)
     find_package(Gettext 0.19.6 REQUIRED)
-    find_program(ITSTOOL itstool REQUIRED)
     find_program(RSVG_CONVERT rsvg-convert REQUIRED)
     set(CMAKE_AUTORCC ON)
-    find_package(Qt6 6.4 REQUIRED
-        COMPONENTS Concurrent LinguistTools QuickControls2)
-    qt_standard_project_setup()
+    find_package(Qt6 6.5 REQUIRED
+        COMPONENTS Concurrent LinguistTools QuickControls2 Xml)
+    qt_standard_project_setup(REQUIRES 6.5)
     add_subdirectory(pentobi)
 endif()
