=== debian/changelog ===
pentobi (26.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 26.3 (Closes: #1097568)
  * Reformat d/control with debputy
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no", it is the new default

 -- Alexandre Detiste <tchet@debian.org>  Fri, 22 Aug 2025 12:38:49 +0200
