## pentobi 29.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,13 @@
-cmake_minimum_required(VERSION 3.19)
+cmake_minimum_required(VERSION 3.22)
 
 project(pentobi CXX)
-set(PENTOBI_VERSION 26.3)
+set(PENTOBI_VERSION_MAJOR 29)
+set(PENTOBI_VERSION_MINOR 0)
+set(PENTOBI_IS_RELEASE TRUE)
+set(PENTOBI_VERSION ${PENTOBI_VERSION_MAJOR}.${PENTOBI_VERSION_MINOR})
+if(NOT PENTOBI_IS_RELEASE)
+    string(APPEND PENTOBI_VERSION "-dev")
+endif()
 
 include(GNUInstallDirs)
 
@@ -49,10 +55,14 @@
 endif()
 if(PENTOBI_BUILD_GUI)
     find_package(Gettext 0.19.6 REQUIRED)
+    find_program(ITSTOOL itstool REQUIRED)
     find_program(RSVG_CONVERT rsvg-convert REQUIRED)
     set(CMAKE_AUTORCC ON)
-    find_package(Qt6 6.5 REQUIRED
-        COMPONENTS Concurrent LinguistTools QuickControls2 Xml)
-    qt_standard_project_setup(REQUIRES 6.5)
+    find_package(Qt6 REQUIRED COMPONENTS
+        Concurrent LinguistTools QuickControls2 Xml)
+    if(ANDROID AND Qt6Core_VERSION VERSION_GREATER_EQUAL "6.10.0")
+        find_package(Qt6 REQUIRED COMPONENTS CorePrivate)
+    endif()
+    qt_standard_project_setup(REQUIRES 6.9)
     add_subdirectory(pentobi)
 endif()
