=== pentobi/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,6 @@
 # Images and icons to be used with QtQuick Image. We use sourceSize four times
 # larger than the device-indepenent size to support high-dpi images.
 file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/icon")
-file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/icons")
 file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/themes/dark")
 file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/themes/light")
 set(pentobi_images
@@ -72,17 +71,16 @@
     list(APPEND images_png "${image}.png")
 endforeach()
 add_custom_command(
-    OUTPUT icons.qrc
-    COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_CURRENT_SOURCE_DIR}/icons.qrc" .
-    DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/icons.qrc" ${images_png}
-    )
-
+    OUTPUT images.qrc
+    COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_CURRENT_SOURCE_DIR}/images.qrc" .
+    DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/images.qrc" ${images_png}
+    )
 add_custom_command(
-    OUTPUT icons_desktop.qrc
+    OUTPUT help/help.qrc
     COMMAND ${CMAKE_COMMAND} -E copy
-    "${CMAKE_CURRENT_SOURCE_DIR}/icons_desktop.qrc" .
-    DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/icons_desktop.qrc" ${images_png}
-    )
+    "${CMAKE_CURRENT_SOURCE_DIR}/help/help.qrc" help
+    DEPENDS pentobi-help help/help.qrc
+)
 
 qt_add_executable(pentobi WIN32 Main.cpp)
 
@@ -138,7 +136,6 @@
     PentobiDialog.qml
     PentobiDialogButtonBox.qml
     PentobiMenu.qml
-    PentobiMenuItem.qml
     PentobiToolBar.qml
     PieceBase.qml
     PieceCallisto.qml
@@ -162,11 +159,6 @@
     ScoreElement2.qml
     Square.qml
     Theme.qml
-    ThemeColorblindDark.qml
-    ThemeColorblindLight.qml
-    ThemeDark.qml
-    ThemeLight.qml
-    ThemeSystem.qml
     Triangle.qml
     gameview.js
     main.js
@@ -192,17 +184,40 @@
     RatingModel.cpp
     RecentFiles.h
     RecentFiles.cpp
-    SyncSettings.h
     resources.qrc
     "${CMAKE_CURRENT_BINARY_DIR}/translations.qrc"
-    "${CMAKE_CURRENT_BINARY_DIR}/icons.qrc"
-    "${CMAKE_CURRENT_BINARY_DIR}/icons_desktop.qrc"
-    help/help.qrc
+    "${CMAKE_CURRENT_BINARY_DIR}/images.qrc"
+    "${CMAKE_CURRENT_BINARY_DIR}/help/help.qrc"
     ../opening_books/pentobi_books.qrc
+
+    RESOURCES
+    android/AndroidManifest.xml
 )
 
 if(ANDROID)
     target_link_libraries(pentobi PRIVATE Qt::CorePrivate)
+    math(EXPR PENTOBI_ANDROID_CODE
+        "${PENTOBI_VERSION_MAJOR} * 1000000 + ${PENTOBI_VERSION_MINOR} * 1000")
+    if(PENTOBI_IS_RELEASE)
+        math(EXPR PENTOBI_ANDROID_CODE "${PENTOBI_ANDROID_CODE} + 10")
+    endif()
+    if(ANDROID_ABI STREQUAL "arm64-v8a")
+        math(EXPR PENTOBI_ANDROID_CODE "${PENTOBI_ANDROID_CODE} + 1")
+    elseif(ANDROID_ABI STREQUAL "x86")
+        math(EXPR PENTOBI_ANDROID_CODE "${PENTOBI_ANDROID_CODE} + 2")
+    elseif(ANDROID_ABI STREQUAL "x86_64")
+        math(EXPR PENTOBI_ANDROID_CODE "${PENTOBI_ANDROID_CODE} + 3")
+    elseif(NOT STREQUAL ANDROID_ABI "armeabi-v7a")
+        message(FATAL_ERROR "Unknown Android ABI: ${ANDROID_ABI}")
+    endif()
+    set_target_properties(pentobi PROPERTIES
+        QT_ANDROID_APP_ICON "@drawable/icon"
+        QT_ANDROID_APP_NAME "Pentobi"
+        # No insert macro for package name in manifest (Qt. 6.10)
+        # QT_ANDROID_PACKAGE_NAME "net.sf.pentobi"
+        QT_ANDROID_VERSION_CODE ${PENTOBI_ANDROID_CODE}
+        QT_ANDROID_VERSION_NAME ${PENTOBI_VERSION}
+    )
     set_property(TARGET pentobi APPEND PROPERTY
         QT_ANDROID_PACKAGE_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/android)
 else()
@@ -210,7 +225,7 @@
 endif()
 
 target_compile_definitions(pentobi PRIVATE
-    QT_DISABLE_DEPRECATED_UP_TO=0x060800
+    QT_DISABLE_DEPRECATED_UP_TO=0x061000
     QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
     VERSION="${PENTOBI_VERSION}"
     )
@@ -224,6 +239,7 @@
     Threads::Threads
     )
 
+add_subdirectory(help)
 if(UNIX AND NOT ANDROID)
     add_subdirectory(unix)
 endif()
