=== pentobi/help/CMakeLists.txt ===
--- 
+++ 
@@ -3,26 +3,26 @@
 
 set(DOCBOOK_SRC
     docbook/index.docbook
-    docbook/analysis.jpg
+    docbook/analysis.png
     docbook/board_callisto.png
     docbook/board_classic.png
     docbook/board_duo.png
     docbook/board_gembloq.png
     docbook/board_nexos.png
-    docbook/board_trigon.jpg
+    docbook/board_trigon.png
     docbook/pieces_callisto.png
-    docbook/pieces_gembloq.jpg
+    docbook/pieces_gembloq.png
     docbook/pieces_junior.png
     docbook/pieces_nexos.png
     docbook/pieces.png
-    docbook/pieces_trigon.jpg
+    docbook/pieces_trigon.png
     docbook/position_callisto.png
     docbook/position_classic.png
     docbook/position_duo.png
     docbook/position_gembloq.png
     docbook/position_nexos.png
-    docbook/position_trigon.jpg
-    docbook/rating.jpg
+    docbook/position_trigon.png
+    docbook/rating.png
     )
 
 foreach(lang ${linguas})
