=== debian/changelog ===
pentobi (29.0-1) unstable; urgency=medium

  * Team upload.
  * d/gbp.conf: added with pristine.
  * New upstream version 29.0
  * d/watch: version 5
  * d/copyright: bump year.

 -- Patrice Duroux <patrice.duroux@gmail.com>  Mon, 29 Dec 2025 18:20:54 +0100
